Home » Infrastructure » Linux » libXm.so.2 (OEL5.2 ODS10g)
libXm.so.2 [message #361629] Thu, 27 November 2008 03:44 Go to next message
croora
Messages: 15
Registered: November 2008
Junior Member
what i do wrong?

$. /home/tom/OraHome_1/bin/frmbld.sh
/home/tom/OraHome_1/bin/frmbld: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory

$. /home/tom/OraHome_1/bin/rwbuilder.sh
/home/tom/OraHome_1/bin/rwbuilder: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory

----------------------------

what errors i can ignore? what i must fix?

tnx alot

Checking operating system certification
Expected result: One of redhat-2.1,redhat-3,redhat-4,SuSE-9,SuSE-8,UnitedLinux-1.0
Actual Result: redhat-4
Check complete. The overall result of this check is: Passed
=======================================================================

Checking security kernel parameters
Checking for shmall=2097152; found shmall=268435456. Passed
Checking for msgmnb=65535; found msgmnb=65536. Passed
Checking for semmns=32000; found semmns=32000. Passed
Checking for semopm=100; found semopm=32. Failed <<<<
Checking for msgmni=2878; found msgmni=16. Failed <<<<
Checking for shmmax=4294967295; found shmmax=4294967295. Passed
Checking for hardnofiles=1024; found hardnofiles=1024. Passed
Checking for VERSION=2.6.9-11.EL; found VERSION=2.6.18-92.el5xen. Passed
Checking for file-max=206173; found file-max=68219. Failed <<<<
Checking for semmsl=256; found semmsl=250. Failed <<<<
Checking for semmni=142; found semmni=128. Failed <<<<
Checking for msgmax=8192; found msgmax=65536. Passed
Checking for shmmni=4096; found shmmni=4096. Passed
Checking for softnofiles=1024; found softnofiles=1024. Passed
Check complete. The overall result of this check is: Failed <<<<
Problem: The security parameters in the kernel do not meet the minimum requirements (see above).
Recommendation: Perform operating system specific instructions to update the kernel parameters, namely BIT_SIZE and noexec_user_stack.
=======================================================================

Checking recommended operating system packages
Checking for gcc-3.4.3-22.1; found gcc-4.1.2-42.el5. Passed
Checking for gcc-c++-3.4.3-22.1; found gcc-c++-4.1.2-42.el5. Passed
Checking for openmotif21-2.1.30-11.RHEL4.4; found Not found. Failed <<<<
Checking for setarch-1.6-1; found setarch-2.0-1.1. Passed
Checking for pdksh-5.2.14-30; found Not found. Failed <<<<
Checking for sysstat-5.0.5-1; found Not found. Failed <<<<
Checking for gnome-libs-1:1.4.1.2.90-44.1; found Not found. Failed <<<<
Checking for libstdc++-3.4.3-22.1; found libstdc++-4.1.2-42.el5. Passed
Checking for libstdc++-devel-3.4.3-22.1; found libstdc++-devel-4.1.2-42.el5. Passed
Checking for compat-libstdc++-296-2.96-132.7.2; found compat-libstdc++-296-2.96-138. Passed
Checking for compat-db-4.1.25-9; found Not found. Failed <<<<
Checking for control-center-2.8.0-12; found control-center-1:2.16.0-16.el5. Passed
Checking for glibc-common-2.3.4-2.9; found glibc-common-2.5-24. Passed
Checking for binutils-2.15.92.0.2-13; found binutils-2.17.50.0.6-6.el5. Passed
Checking for make-1:3.80-5; found make-1:3.81-3.el5. Passed
Checking for xscreensaver-4.18-5.rhel4.2; found Not found. Failed <<<<
Check complete. The overall result of this check is: Failed <<<<
Problem: Some recommended packages are missing (see above).
Recommendation: You may actually have installed packages which have obsoleted these, in which case you can successfully continue with the install. If you have not, it is recommended that you do not continue. Refer to the readme to find out how to get the missing packages.
=======================================================================

Checking glibc installed on the system
Expected result: 2.3.4-2.9
Actual Result: 2.5-24
Check complete. The overall result of this check is: Passed
=======================================================================

Validating ORACLE_BASE location (if set)
Check complete. The overall result of this check is: Passed
=======================================================================
Re: libXm.so.2 [message #361630 is a reply to message #361629] Thu, 27 November 2008 03:50 Go to previous messageGo to next message
tahpush
Messages: 961
Registered: August 2006
Location: Stockholm/Sweden
Senior Member

Check your LD_LIBRARY_PATH
Re: libXm.so.2 [message #361639 is a reply to message #361630] Thu, 27 November 2008 04:06 Go to previous message
croora
Messages: 15
Registered: November 2008
Junior Member
LD_LIBRARY_PATH is empty :/

i add it, but...

[tom@localhost ~]$ LD_LIBRARY_PATH=/home/tom/OraHome_1/lib/stubs
[tom@localhost ~]$ export LD_LIBRARY_PATH
[tom@localhost ~]$ env
env: /home/tom/OraHome_1/lib/stubs/libc.so.6: version `GLIBC_2.4' not found (required by env)
env: /home/tom/OraHome_1/lib/stubs/libc.so.6: version `GLIBC_2.3' not found (required by env)
env: /home/tom/OraHome_1/lib/stubs/libc.so.6: version `GLIBC_2.3.4' not found (required by env)


openmotif22-2.2.3-18.i386 is installed

----

during install i get error

libso_install
bld_install
proxy_install
...

ins_reports.mk

does that can make problems?
Previous Topic: Oracle Developer Suite 10g on Oracle Enterprise Linux 5.2
Next Topic: $ORACLE_HOME
Goto Forum:
  


Current Time: Tue Dec 06 00:12:21 CST 2016

Total time taken to generate the page: 0.05331 seconds